Bug 323735 - Album artist in APEV2 tag is never read
Summary: Album artist in APEV2 tag is never read
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Metadata Editing and Reading (show other bugs)
Version: 2.8.0
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: 2.9
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-19 15:49 UTC by Bruno Léon
Modified: 2014-05-21 10:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
[PATCH] Fix reading Album Artist for Musepack (APE tag) files (887 bytes, text/plain)
2013-08-19 18:43 UTC, Bruno Léon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Léon 2013-08-19 15:49:51 UTC
All files with "Album Artist" properly filled will result in an empy Album artist within amarok.

Reproducible: Always

Steps to Reproduce:
1. Tag a Musepack file with "Album Artist"
2. Scan it with amarokcollectionscanner
Actual Results:  
The field is blank in the XML output

Expected Results:  
The "Album Artist" should be read and used by Amarok.
Comment 1 Myriam Schweingruber 2013-08-19 15:55:19 UTC
Well, the APV2 tag container format is not officially supported by Amarok so that is a wish.
Comment 2 Bruno Léon 2013-08-19 18:43:10 UTC
Created attachment 81791 [details]
[PATCH] Fix reading Album Artist for Musepack (APE tag) files

The following patch fix this issue
Comment 3 Mark Kretschmann 2013-08-19 18:49:59 UTC
Oh, nice. Can you explain why the string must be all upper case?
Comment 4 Bruno Léon 2013-08-19 19:00:43 UTC
Actually I deducted it from taglib source code.
I'm no C++ programmer so this was a bit of luck though ;-D

taglib/ape/apetag.cpp
// conversions of tag keys between what we use in PropertyMap and what's usual
// for APE tags
static const TagLib::uint keyConversionsSize = 5; //usual,         APE
static const char *keyConversions[][2] =  {{"TRACKNUMBER", "TRACK"       },
                                           {"DATE",        "YEAR"        },
                                           {"ALBUMARTIST", "ALBUM ARTIST"},
                                           {"DISCNUMBER",  "DISC"        },
                                           {"REMIXER",     "MIXARTIST"   }};
Comment 5 Mark Kretschmann 2013-08-30 16:38:49 UTC
Git commit df6d5c3ded956787797c90cc9ecec8b009b1b096 by Mark Kretschmann, on behalf of Bruno Léon.
Committed on 30/08/2013 at 16:29.
Pushed by markey into branch 'master'.

Fix reading Album Artist / Compilation / Disc Number in APE tags.

Fix reading of Album Artist and Compilation tag in APE tags.
Add support for reading Disc Number in APE tags.

REVIEW: 112266

M  +2    -0    ChangeLog
M  +8    -3    shared/tag_helpers/APETagHelper.cpp

http://commits.kde.org/amarok/df6d5c3ded956787797c90cc9ecec8b009b1b096
Comment 6 vedant agarwala 2014-05-21 10:47:02 UTC
Git commit 4bec1504d99a24db4288585ac7b6cc8d4cf416f2 by Vedant Agarwala, on behalf of Bruno Léon.
Committed on 30/08/2013 at 16:29.
Pushed by vedanta into branch 'tagguessing'.

Fix reading Album Artist / Compilation / Disc Number in APE tags.

Fix reading of Album Artist and Compilation tag in APE tags.
Add support for reading Disc Number in APE tags.

REVIEW: 112266

M  +2    -0    ChangeLog
M  +8    -3    shared/tag_helpers/APETagHelper.cpp

http://commits.kde.org/amarok/4bec1504d99a24db4288585ac7b6cc8d4cf416f2